Bug 441497 - mesa segfaults with xorg-driver-ati git on chip 0x7149
mesa segfaults with xorg-driver-ati git on chip 0x7149
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 10:11 EDT by Stefan Becker
Modified: 2008-04-10 05:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 13:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2008-04-08 10:11:27 EDT
Description of problem:

I have a Lenovo T60 with

01:00.0 VGA compatible controller: ATI Technologies Inc M52 [Mobility Radeon X1300]
01:00.0 0300: 1002:7149

F8 with the latest xorg-driver-radeon git works without problems. But with F9
rawhide I need to disable AIGLX in order for X to start up/prevent hangs.

But the real problem starts when mesa gets involved: it just segfaults:

$ glxinfo
name of display: :0.0
unknown chip id 0x7149, can't guess.
Segmentation fault

Usually I wouldn't care but at least OpenOffice really doesn't like it when mesa
segfaults:

$ oocalc
unknown chip id 0x7149, can't guess.
/usr/lib/openoffice.org/program/soffice: line 148: 18169 Segmentation fault
"$sd_prog/$sd_binary" "$@"

So I can't use OpenOffice although I don't really need the fancy 3D stuff :-(


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-17.20080401.fc9.i386
mesa-libGL-7.1-0.21.fc9.i386
libdrm-2.4.0-0.10.fc9.i386
kernel-2.6.25-0.201.rc8.git4.fc9.i686
xorg-driver-ati git commit bc0407e53237d7968808110bc0243076377acf6e


Additional info:

/etc/X11/xorg.conf excerpt:

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        Option      "AccelMethod" "EXA"
        Option      "DisplayPriority" "BIOS"
        Option      "DynamicClocks" "On"
EndSection

Section "ServerFlags"
        Option "AIGLX" "off"
EndSection

The rest is unchanged from the defaults.
Comment 1 Stefan Becker 2008-04-08 12:43:17 EDT
AIGLX = off is not longer required with latest X server from rawhide.

Retested with radeon driver from RPM: same problem, i.e. mesa segfaults. So it
is not a fault of the latest driver git version.
Comment 2 Adam Jackson 2008-04-09 13:21:09 EDT
Fixed in mesa 7.1-0.22.
Comment 3 Stefan Becker 2008-04-10 05:42:53 EDT
Confirmed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.